/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== menulist.css ===================================================
  == Styles used by the XUL menulist element.
  ======================================================================= */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

/* :::::::::: menulist :::::::::: */

menulist {
  -moz-appearance: menulist;
  margin: 2px 4px;
  border: 2px solid;
  -moz-border-top-colors: ThreeDShadow ThreeDDarkShadow;
  -moz-border-right-colors: ThreeDHighlight ThreeDLightShadow;
  -moz-border-bottom-colors: ThreeDHighlight ThreeDLightShadow;
  -moz-border-left-colors: ThreeDShadow ThreeDDarkShadow;
  background-color: -moz-Field;
  color: -moz-FieldText;
}

.menulist-label-box {
  -moz-box-align: center;
  -moz-box-pack: center;
  margin: 1px;
}

.menulist-label-box,
menulist[open="true"]:focus > .menulist-label-box {
  border: 1px solid transparent;
  background-color: transparent;
  color: inherit;
  -moz-box-align: center;
}

.menulist-icon[src] {
  margin: 0px 2px 0px 2px;
}

.menulist-label {
  margin-top: 0 !important;
  -moz-margin-end: 0 !important;
  margin-bottom: 0 !important;
  -moz-margin-start: 1px !important;
}

.menulist-description {
  font-style: italic;
  color: GrayText;
  -moz-margin-start: 1ex !important;
}

/* ..... dropmarker ..... */

menulist[disabled="true"]:hover:active > .menulist-dropmarker {
  -moz-border-top-colors: ThreeDLightShadow ThreeDHighlight;
  -moz-border-right-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-bottom-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-left-colors: ThreeDLightShadow ThreeDHighlight;
  padding: 1px;
}

menulist:hover:active > .menulist-dropmarker {
  -moz-border-top-colors: ThreeDShadow ThreeDFace;
  -moz-border-right-colors: ThreeDShadow ThreeDFace;
  -moz-border-bottom-colors: ThreeDShadow ThreeDFace;
  -moz-border-left-colors: ThreeDShadow ThreeDFace;
  padding-top: 2px;
  padding-bottom: 0px;
  -moz-padding-start: 2px;
  -moz-padding-end: 0px;
}

/* ..... focused state ..... */

menulist:focus > .menulist-label-box {
  border: 1px dotted #F5DB95;
  background-color: Highlight;
  color: HighlightText;  
}

/* ..... disabled state ..... */

menulist[disabled="true"] {
  background-color: -moz-Dialog;
  color: GrayText;
}

/* ::::: editable menulists ::::: */

.menulist-editable-box {
  padding-top: 3px;
  padding-bottom: 3px;
  -moz-padding-start: 2px;
  -moz-padding-end: 0px;
}

html|*.menulist-editable-input {
  margin: 0px !important;
  border: none !important;
  padding: 0px !important;
  background: inherit;
  font: inherit;
}

/* ::::: compact menulists ::::: */

.menulist-compact {
  -moz-box-align: center;
  -moz-box-pack: center;
  margin: 0;
  -moz-border-top-colors: ThreeDLightShadow ThreeDHighlight;
  -moz-border-right-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-bottom-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-left-colors: ThreeDLightShadow ThreeDHighlight;
  background-color: -moz-Dialog;
  color: -moz-DialogText;
}

.menulist-compact > .menulist-label {
  margin: 0 3px !important;
  text-align: right;
}  

.menulist-compact > .menulist-dropmarker {
  -moz-margin-start: 2px;
  border: none;
  padding: 0 !important;
  background: transparent;
}

.menulist-compact[open="true"] {
  -moz-border-top-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-right-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-bottom-colors: ThreeDDarkShadow ThreeDShadow;
  -moz-border-left-colors: ThreeDDarkShadow ThreeDShadow;
  background-color: ThreeDShadow;
  color: ThreeDHighlight;
}
